Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ResultTypeConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ResultTypeConfig

All Implemented Interfaces:
  Locatable, Serializable

    public class ResultTypeConfig

extends Located
implements Serializable

Configuration class for result types.

In the xml configuration file this is defined as the `result-type` tag.

Author:
  Mike, Rainer Hermanns, Neo
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ResultTypeConfig.Builder` The builder for this object.

Field Summary
`protected String` | `className`
`protected String` | `defaultResultParam`
`protected String` | `name`
`protected Map<String,String>` | `params`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `ResultTypeConfig(ResultTypeConfig orig)`
`protected` | `ResultTypeConfig(String name, String className)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getClassName()`
`String` | `getClazz()` Deprecated. Since 2.1, use `getClassName()` instead
`String` | `getDefaultResultParam()`
`String` | `getName()`
`Map<String,String>` | `getParams()`
`int` | `hashCode()`
`void` | `setDefaultResultParam(String defaultResultParam)`
`String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### className

    protected String className

### name

    protected String name

### defaultResultParam

    protected String defaultResultParam

### params

    protected Map<String,String> params

Constructor Detail

### ResultTypeConfig

    protected ResultTypeConfig(String name,
                               String className)

### ResultTypeConfig

    protected ResultTypeConfig(ResultTypeConfig orig)

Method Detail

### setDefaultResultParam

    public void setDefaultResultParam(String defaultResultParam)

### getDefaultResultParam

    public String getDefaultResultParam()

### getClazz

    @Deprecated
    public String getClazz()

  Deprecated. Since 2.1, use `getClassName()` instead

### getClassName

    public String getClassName()

### getName

    public String getName()

### getParams

    public Map<String,String> getParams()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.